lkml.org 
[lkml]   [2019]   [Mar]   [21]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] ALSA: rawmidi: Fix potential Spectre v1 vulnerability
On Wed, 20 Mar 2019 22:15:24 +0100,
Gustavo A. R. Silva wrote:
>
> info->stream is indirectly controlled by user-space, hence leading to
> a potential exploitation of the Spectre variant 1 vulnerability.
>
> This issue was detected with the help of Smatch:
>
> sound/core/rawmidi.c:604 __snd_rawmidi_info_select() warn: potential spectre issue 'rmidi->streams' [r] (local cap)
>
> Fix this by sanitizing info->stream before using it to index
> rmidi->streams.
>
> Notice that given that speculation windows are large, the policy is
> to kill the speculation on the first load and not worry if it can be
> completed with a dependent load/store [1].
>
> [1] https://lore.kernel.org/lkml/20180423164740.GY17484@dhcp22.suse.cz/
>
> Cc: stable@vger.kernel.org
> Signed-off-by: Gustavo A. R. Silva <gustavo@embeddedor.com>

Applied, thanks.


Takashi

\
 
 \ /
  Last update: 2019-03-21 13:25    [W:0.042 / U:10.576 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site